local gr = love.graphics

function love.load()
	love.window.setMode( 600, 600 )
	love.window.setTitle( 'Earth Days Simulator' )
	angle	= 0
	ma		= 0
	center = { x = gr.getWidth()/2, y = gr.getHeight()/2 }
	dia={432.288,3.959,1.079}
	dis={92.96,0.29}
	sun = gr.newImage('sun.jpg')
	earth = gr.newImage('earth.jpg')
	moon = gr.newImage('moon.jpg')
	end

function love.update( dt )
	angle	= angle + dt*2*math.pi/365
	angle	= angle%(2*math.pi)
	ma		= angle*26
	x, y	= orbit( center.x, center.y, 200,180, angle )
	mx, my	= orbit( x, y, 35, 35,ma )
	end

function love.draw()
	gr.setColor( 255, 222, 0 )
	gr.draw( sun, center.x, center.y, ma,.3,.3,sun:getWidth()/2,sun:getHeight()/2 )
	gr.setColor( 76, 146, 255 )
	gr.draw( earth, x, y, 0,.08,.08,earth:getWidth()/2,earth:getHeight()/2 )
	gr.setColor( 255, 255, 255 )
	gr.draw(moon,mx,my,ma,.01,.01,moon:getWidth()/2,moon:getHeight()/2)
	gr.print('Day '..math.floor( angle*58.3 ), x+30, y-7 )
	end

function love.keypressed( key )
	if key == "escape"	then love.event.quit() end
	end

function orbit( cx, cy, rx,ry, an )
	local x = rx * math.cos( an ) + cx
	local y = ry * math.sin( an ) + cy
	return x, y
	end

